package com.yonge.cooleshow.biz.dal.service;

import com.yonge.cooleshow.biz.dal.dto.ContractTemplateDto;
import com.yonge.cooleshow.biz.dal.entity.ContractTemplate;
import com.yonge.toolset.mybatis.page.PageInfo;
import com.yonge.toolset.mybatis.page.QueryInfo;
import com.yonge.toolset.mybatis.service.BaseService;

public interface ContractTemplateService extends BaseService<Integer, ContractTemplate> {
	
	/**
	 * 分页查询
	 * @param queryInfo
	 * @return
	 */
	PageInfo<ContractTemplateDto> queryPageList(QueryInfo queryInfo);
	
	/**
	 * 启用协议
	 * @param id
	 * @param userId 操作人
	 * @return
	 */
	boolean enableContract(Integer id, Long userId);

	/**
	 * 更新协议版本
	 * @return
	 */
	boolean updateContractVersion();
	
	/**
	 * 查询最新协议模板
	 * @param owner
	 * @param type
	 * @return
	 */
	ContractTemplate queryLatestContractTemplate(String owner, String type);
	
	boolean createContractTemplate(ContractTemplate contractTemplate);
	
	boolean updateContractTempalte(ContractTemplate contractTemplate);

}